Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Boruch Baum <[email-masked]>
Date: Mon, 19 Apr 2021 09:27:52 -0400

On 2021-04-19 16:03, Eli Zaretskii wrote:
> > Date: Mon, 19 Apr 2021 05:24:30 -0400
> > From: Boruch Baum <[email-masked]>
> > Cc: [email-masked]
> >
> > > Thanks, but I don't think I understand the rationale for the second
> > > patch.  What is the problem with signaling an error in those two
> > > places?
> >
> > They avoid spawning a backtrace buffer when toggle-debug-on-error is set
> > and the error is a user input error caught by a validation test within
> > an `interactive' function call.
>
> I understand that, but the same is true for every call to 'error'
> whenever debug-on-error is set.

Not at all. The specific metrics are:

  1) validation of user-input
  2) interactive call

Decide what your opinion is the purpose of function `user-error'
separate from `error' and act accordingly. Whatever metric you use,
you're bound to find cases of `error' being misused when `user-error'
should be used.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0